## com.bbn.openmap.layer.mysql
Class MysqlMulti

    java.lang.Object
      com.bbn.openmap.layer.mysql.MysqlGeometry
          com.bbn.openmap.layer.mysql.MysqlMulti

Direct Known Subclasses:
  MysqlCollection, MysqlMultiLineString, MysqlMultiPoint, MysqlMultiPolygon

public abstract class MysqlMulti
extends MysqlGeometry

This abstract class represents the base class of compound Mysql Geometry Objects.

Copyright 2003 by the Author

Version:
  1.0
Author:
  Uwe Baier uwe.baier@gmx.net

Field Summary
`protected java.util.Vector` `elements`

Fields inherited from class com.bbn.openmap.layer.mysql.MysqlGeometry
`GEOMETRYCOLLECTIONTYPE, LINESTRINGTYPE, MULTILINESTRINGTYPE, MULTIPOINTTYPE, MULTIPOLYGONTYPE, POINTTYPE, POLYGONTTYPE`

Constructor Summary
`MysqlMulti()`

Method Summary
`abstract void` `addElement(MysqlGeometry mg)`
`int` `countElements()`
`abstract MysqlGeometry` `getElementByIndex(int i)`

Methods inherited from class com.bbn.openmap.layer.mysql.MysqlGeometry
`getType, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### elements

    protected java.util.Vector elements

Constructor Detail

### MysqlMulti

    public MysqlMulti()

Method Detail

### countElements

    public int countElements()

### addElement

    public abstract void addElement(MysqlGeometry mg)

### getElementByIndex

    public abstract MysqlGeometry getElementByIndex(int i)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details